abdera-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From James M Snell <jasn...@gmail.com>
Subject Re: Dependency updates
Date Sat, 26 May 2007 23:49:12 GMT


Adam Constabaris wrote:
> [snip]
> There's one minor roadblock and one question, and I made an unrequested
> change.  The unrequested change is that instead of using the hardcoded
> version everywhere, I substituted ${parent.version} and
> ${project.version}.  It's a bit pedantic, since it doesn't save much
> work when changing versions (each sub-project still needs to know the
> parent's version #; I believe maven 2.1 may address this ...)  If that
> seems pointless/foolish, I can back that part out and re-post.
> 

Not being a Maven user, I don't have a problem with it ;-)

> Now for the roadblock: xmlsec 1.4.1 is not currently available in the
> main maven repo; it appears there's no ASF maven repo the xmlsec folks
> might be using to point at, so the POM still references 1.3.0.  The
> question is why woodstox 3.1.1, while 3.2.1 is available?

Yeah, I noticed that.  If you take a look at the dependencies file in
the dependencies module you'll see that I've uploaded the jars to my
home directory on people.apache.org and have set up the build to grab
them from there.

I had 3.1.1 already on my laptop ready to test.  I'll be trying 3.2.1
out in a few days.

- James


Mime
View raw message